Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cert
Class CertificateInfo.Version

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cert.CertificateInfo.Version

Enclosing class:
  CertificateInfo

public static class CertificateInfo.Version
extends java.lang.Object

An X.509 Certificate version.

Field Summary
`(package private) java.lang.String` | `string`
`static CertificateInfo.Version` | `v1`
`static CertificateInfo.Version` | `v2`
`static CertificateInfo.Version` | `v3`
`(package private) int` | `versionNumber`

Constructor Summary
`private` | `CertificateInfo.Version()`
`private` | `CertificateInfo.Version(int vers, java.lang.String string)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static CertificateInfo.Version` | `fromInt(int versionNum)` Creates a version number from its numeric encoding.
`int` | `getNumber()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### versionNumber

    int versionNumber

### string

    java.lang.String string

### v1

    public static final CertificateInfo.Version v1

### v2

    public static final CertificateInfo.Version v2

### v3

    public static final CertificateInfo.Version v3

Constructor Detail

### CertificateInfo.Version

    private CertificateInfo.Version()

### CertificateInfo.Version

    private CertificateInfo.Version(int vers,
                                    java.lang.String string)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getNumber

    public int getNumber()

### fromInt

    public static CertificateInfo.Version fromInt(int versionNum)
                                           throws InvalidBERException

  Creates a version number from its numeric encoding.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD